require 'thor'
require 'quandl/utility/thor_tasks/lint'
require 'quandl/utility/thor_tasks/ci'

module Quandl
  module Utility
    # Quand Utility Command Line
    class CLI < Thor
      namespace 'qutil'

      desc 'lint', 'Linting subcommands'
      subcommand 'lint', Quandl::Utility::ThorTasks::Lint

      desc 'ci', 'CI Server subcommands'
      subcommand 'ci', Quandl::Utility::ThorTasks::CI
    end
  end
end
